using System;
using System.Reflection;
using System.Runtime.CompilerServices;
using UnityEngine;



public abstract class ViewEntity : MonoBehaviour
{
    private BattleController m_BattleController;
    public BattleController battleController
    {
        get
        {
            if(m_BattleController == null)
                m_BattleController =  GetComponentInParent<BattleController>();
            
            return m_BattleController;
        }
    }
    
    public  virtual void OnInit(){}
}
